Skip to main content
`Ctrl`+`K`

# PetscBagRegisterIntArray

add a `PetscInt` array to a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterIntArray(PetscBag bag, void *addr, PetscInt msize, const char *name, const char *help)

Logically Collective

## Input Parameters

- bag - the bag of values

- addr - location of integer in struct, for example `&params->i`

- msize - number of entries in array

- name - name of the array

- help - longer string with more information about the value

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()`, `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/sys/tutorials/ex5.c

Index of all Bag routines
Table of Contents for all manual pages
Index of all manual pages